rte_eth_tunnel_flow(3)

NAME
rte_eth_tunnel_flow

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

enum rte_eth_fdir_tunnel_type tunnel_type
uint32_t tunnel_id
struct rte_ether_addr mac_addr

Detailed Description

A structure used to define the input for tunnel flow, now it's VxLAN or NVGRE

Definition at line 257 of file rte_eth_ctrl.h.

Field Documentation

  enum rte_eth_fdir_tunnel_type tunnel_type
Tunnel type to match.

Definition at line 258 of file rte_eth_ctrl.h.

  uint32_t tunnel_id
Tunnel ID to match. TNI, VNI... in big endian.

Definition at line 260 of file rte_eth_ctrl.h.

  struct rte_ether_addr mac_addr
Mac address to match.

Definition at line 261 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.